AccountingJournal Entries
Bulk Create Journal Entries
POST
Create up to 100 Journal Entries in one request. An entry that cannot be
created is reported in errors, by its external_id and its position in
the submitted list, and does not stop the rest of the batch from being
created.
Scopes: journal_entry:create
OAuth2ClientCredentialsBearer journal_entry:createheader
AuthorizationBearer <token>Scope: journal_entry:create
business_id*Business IdThe id of the business
Format
biz_stringx-user-id?|Optional external entity identifier that performed the action
application/json- body
Items
items <= 100[index: integer]?Successful Response
application/json- response
data*array<>errors*array<>curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/journal-entries/bulk' \ -H 'Content-Type: application/json' \ -d '[ { "description": "HomeDepot purchase", "datetime": "2023-11-07T05:31:56Z", "lines": [ { "ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5", "description": "HomeDepot purchase", "debit_credit": "debit", "amount": "89.23" } ] }]'Example Response
{ "data": [ { "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7", "external_id": "je-2023-11-07-001", "description": "HomeDepot purchase", "clean_description": "HomeDepot purchase", "datetime": "2023-11-07T05:31:56Z", "is_reconciled": true, "review_status": "bookkeeper_pending", "basis": "both", "id": "je_R2fAXCjqJPdpYata112zyW", "transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo", "line_entries": [ { "ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5", "description": "HomeDepot purchase", "debit_credit": "debit", "amount": "89.23", "id": "le_GA6EG2qFxA97NZHtxeLPUy", "journal_entry_id": "je_R2fAXCjqJPdpYata112zyW", "transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo", "tag_value_ids": [ "tv_Ns6rRRLYVZPh4cVB7MDby5" ] } ], "categorization_method": "manual", "invoice_id": "inv_WQMDNUHpBThYSNh4AprDBo", "bill_id": "bil_WQMDNUHpBThYSNh4AprDBo", "tags": { "Location": [ { "amount": "75.00", "value": "NYC" }, { "amount": "25.00", "value": "LA" } ] } } ], "errors": [ { "error": "Lines do not balance", "external_id": "je-2023-11-07-001", "index": 3 } ]}